function notes() {

  var $link = $('#presentation a');
  $link.each(function(){
    $(this).click(function(e) {
      $this = $(this);
      if ( $this.is('#ressource') || $this.is('#publication') ) {
        e.preventDefault();

        var $url = $this.attr("href");

        if ($( ".side_notes" )[0]) {
          $( ".side_notes" ).remove();
        }
        content_type($url, $this);
        ajax($url, $this);
      }
    });
  })

  function content_type($url, $this) {
    if ($this.is('#ressource')) {
      $("<div class='side_notes'><a href="+$url+"></a> </div>").insertAfter("article");
    }else if ( $this.is('#publication') ) {
      console.log('clcik');
      $("<div class='side_notes'></>").insertAfter("article");
    }
  }

  function ajax($url , $this) {
    $.ajax({
      url: $url,
      method: "GET",
      dataType:'html',
      async: true,
      success: function(data) {
        if ($this.is('#ressource')) {
          $(data).find('article > div:not(.__wrap_side) .__wrapper').appendTo('.side_notes a');
        }else if ($this.is('#publication')) {
          $(data).find('article > div:not(.__wrap_side) .__wrapper').appendTo('.side_notes');
        }
        position_link($this);
      },
    })
  }

  function position_link($this) {
    var $top_link = $this.position().top;
    console.log($top_link);
    $('.side_notes > *').css("top", $top_link);
  }
}

$( document ).ready(function() {
  notes();
});
